## GESEffect GESEffect — adds an effect build from a parse-launch style bin description to a stream in a GESSourceClip or a GESLayer |

## Synopsis

    #include <ges/ges.h>

                        GESEffect;
    GESEffect *         ges_effect_new                      (const gchar *bin_description);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESOperation
                               +----GESBaseEffect
                                     +----GESEffect

## Implemented Interfaces

GESEffect implements GESExtractable and GESMetaContainer.

## Properties

      "bin-description"          gchar*                : Read / Write / Construct Only

## Description

## Details

### GESEffect

    typedef struct _GESEffect GESEffect;

### ges_effect_new ()

    GESEffect *         ges_effect_new                      (const gchar *bin_description);

Creates a new GESEffect from the description of the bin.

`bin_description` : | The gst-launch like bin description of the effect
Returns : | a newly created GESEffect, or `NULL` if something went wrong.

Since 0.10.2

## Property Details

### The `"bin-description"` property

      "bin-description"          gchar*                : Read / Write / Construct Only

The description of the effect bin with a gst-launch-style pipeline description.

Example: "videobalance saturation=1.5 hue=+0.5"

Default value: NULL